#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAE,0x1C,0x69,0x6F,0x55,0xB9,0xEC,0x2A,0x82,0x08,0x0E,0x7C,
		0x33,0x46,0xEA,0x6E,0x93,0x1D,0x7A,0x9C,0xF1,0x2F,0x83,0x46,
		0x6D,0xF1,0x42,0x10,0x2D,0x57,0x63,0x93,0xD4,0x5F,0xE8,0x9D,
		0x20,0xA1,0x3C,0x7C,0xC7,0x86,0xF2,0xD4,0x87,0xC7,0xE5,0x6A,
		0xF2,0xFB,0x20,0x2B,0xBE,0x47,0x03,0xAA,0xA8,0xF2,0xED,0xB3,
		0x77,0x2D,0xAB,0x97,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
